### Function

# GLib get_tmp_dir

since: 2.0

#### Declaration

    const gchar*
    g_get_tmp_dir (
      void
    )

#### Description

Gets the directory to use for temporary files.

On UNIX, this is taken from the `TMPDIR` environment variable. If the variable is not set, `P_tmpdir` is used, as defined by the system C library. Failing that, a hard-coded default of “/tmp” is returned.

On Windows, the `TEMP` environment variable is used, with the root directory of the Windows installation (eg: “C:") used as a default.

The encoding of the returned string is system-defined. On Windows, it is always UTF-8. The return value is never `NULL` or the empty string.

Available since: 2.0

#### Return value

Type: `const gchar*`

The directory to use for temporary files.

The data is owned by the called function.
The value is a file system path, using the OS encoding.